move prototypes around so they show up when needed

--- a/jobs.h
+++ b/jobs.h
@@ -182,6 +182,7 @@
 
 extern int count_all_jobs __P((void));
 
+extern void close_pgrp_pipe __P((void));
 extern void terminate_current_pipeline __P((void));
 extern void terminate_stopped_jobs __P((void));
 extern void hangup_all_jobs __P((void));
--- a/lib/glob/strmatch.c
+++ b/lib/glob/strmatch.c
@@ -25,9 +25,6 @@
 #include "strmatch.h"
 
 extern int xstrmatch __P((char *, char *, int));
-#if defined (HAVE_MULTIBYTE)
-extern int internal_wstrmatch __P((wchar_t *, wchar_t *, int));
-#endif
 
 int
 strmatch (pattern, string, flags)
--- a/lib/glob/strmatch.h
+++ b/lib/glob/strmatch.h
@@ -57,6 +57,7 @@
 
 #if HANDLE_MULTIBYTE
 extern int wcsmatch __P((wchar_t *, wchar_t *, int));
+extern int internal_wstrmatch __P((wchar_t *, wchar_t *, int));
 #endif
 
 #endif /* _STRMATCH_H */
--- a/builtins/echo.def
+++ b/builtins/echo.def
@@ -31,6 +31,8 @@
 #include <stdio.h>
 #include "../shell.h"
 
+#include "common.h"
+
 $BUILTIN echo
 $FUNCTION echo_builtin
 $DEPENDS_ON V9_ECHO
--- a/lib/sh/winsize.c
+++ b/lib/sh/winsize.c
@@ -55,6 +55,7 @@
 #if defined (READLINE)
 extern void rl_set_screen_size __P((int, int));
 #endif
+extern void sh_set_lines_and_columns __P((int, int));
 
 void
 get_new_window_size (from_sig, rp, cp)
--- a/support/bashversion.c
+++ b/support/bashversion.c
@@ -47,6 +47,9 @@
 extern char *dist_version;
 extern int patch_level;
 
+extern char *shell_version_string __P((void));
+extern void show_shell_version __P((int));
+
 char *shell_name = "bash";
 char *progname;
 
